Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.json
Class Cookie

    java.lang.Object
      org.richfaces.json.Cookie

    public final class Cookie

extends Object

Convert a web browser cookie specification to a JSONObject and back. JSON and Cookies are both notations for name/value pairs.

Version:
  2
Author:
  JSON.org

Method Summary
`static String` | `escape(String string)` Produce a copy of a string in which the characters '+', '%', '=', ';' and control characters are replaced with "%hh".
`static JSONObject` | `toJSONObject(String string)` Convert a cookie specification string into a JSONObject.
`static String` | `toString(JSONObject o)` Convert a JSONObject into a cookie specification string.
`static String` | `unescape(String s)` Convert `%`hh sequences to single characters, and convert plus to space.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### escape

    public static String escape(String string)

  Produce a copy of a string in which the characters '+', '%', '=', ';' and control characters are replaced with "%hh". This is a gentle form of URL encoding, attempting to cause as little distortion to the string as possible. The characters '=' and ';' are meta characters in cookies. By convention, they are escaped using the URL-encoding. This is only a convention, not a standard. Often, cookies are expected to have encoded values. We encode '=' and ';' because we must. We encode '%' and '+' because they are meta characters in URL encoding.

  Parameters:
    `string` - The source string.
  Returns:
    The escaped result.

### toJSONObject

    public static JSONObject toJSONObject(String string)
                                   throws JSONException

  Convert a cookie specification string into a JSONObject. The string will contain a name value pair separated by '='. The name and the value will be unescaped, possibly converting '+' and '%' sequences. The cookie properties may follow, separated by ';', also represented as name=value (except the secure property, which does not have a value). The name will be stored under the key "name", and the value will be stored under the key "value". This method does not do checking or validation of the parameters. It only converts the cookie string into a JSONObject.

  Parameters:
    `string` - The cookie specification string.
  Returns:
    A JSONObject containing "name", "value", and possibly other members.
  Throws:
    `JSONException`

### toString

    public static String toString(JSONObject o)
                           throws JSONException

  Convert a JSONObject into a cookie specification string. The JSONObject must contain "name" and "value" members. If the JSONObject contains "expires", "domain", "path", or "secure" members, they will be appended to the cookie specification string. All other members are ignored.

  Parameters:
    `o` - A JSONObject
  Returns:
    A cookie specification string
  Throws:
    `JSONException`

### unescape

    public static String unescape(String s)

  Convert `%`hh sequences to single characters, and convert plus to space.

  Parameters:
    `s` - A string that may contain `+` (plus) and `%`hh sequences.
  Returns:
    The unescaped string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.